#!/bin/bash
if [ "$1" == "" ]
then 
  echo "$0: Must give a directory name where to install chroot environment" 
  echo "For example, $0 /root/chroottest (the path must be absolute)"
  exit
fi
export TESTFS=$1
mkdir -p $TESTFS
mkdir -p $TESTFS/proc/
cp /proc/cpuinfo $TESTFS/proc/
mkdir $TESTFS/etc
cp /etc/resolv.conf $TESTFS/etc
mkdir -p $TESTFS/etc/yum.repos.d/
echo '[CentOS]' > $TESTFS/etc/yum.repos.d/CentOS.repo
echo 'name=CentOS-$releasever - Base' >> $TESTFS/etc/yum.repos.d/CentOS.repo
#echo 'baseurl=http://ftp.funet.fi/pub/mirrors/centos.org/5.2/os/$basearch/'  >> $TESTFS/etc/yum.repos.d/CentOS.repo
echo 'baseurl=http://ftp.sunet.se/pub/Linux/distributions/centos/5.2/os/$basearch/'  >> $TESTFS/etc/yum.repos.d/CentOS.repo
# No checks possible yet
echo 'gpgcheck=0' >> $TESTFS/etc/yum.repos.d/CentOS.repo
echo 'gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-CentOS-5' >> $TESTFS/etc/yum.repos.d/CentOS.repo
rpm --initdb --root $TESTFS
mv /etc/yum.repos.d /etc/yum.repos.d.bak
mkdir /etc/yum.repos.d
cp $TESTFS/etc/yum.repos.d/CentOS.repo /etc/yum.repos.d/
yum -y --installroot=$TESTFS install yum 
/bin/rm $TESTFS/etc/yum.repos.d/*
cp  /etc/yum.repos.d/CentOS.repo $TESTFS/etc/yum.repos.d/CentOS.repo
/bin/rm -r /etc/yum.repos.d
mv /etc/yum.repos.d.bak /etc/yum.repos.d
yum --installroot=$TESTFS clean all
